
Redmine - Defect #6724

Wiki uploads does not work anymore (SVN 4266)

2010-10-22 11:34 - Adrian S.

Status: Closed Start date: 2010-10-22

Priority: High Due date:  

Assignee:  % Done: 0%

Category: Wiki Estimated time: 0.00 hour

Target version: 1.1.0   

Resolution: Fixed Affected version:  

Description

Hi,

I updated last night Redmine to SVN revision 4266. I noticed that I can't upload attachments in wiki pages anymore.

It seems it's a routing problem. Hopefully I have two trackers working on the same server and I found those differences in the html

pages:

SVN REVISION 4214

<form action="/wiki/PROJECT-NAME/WIKIPAGE-NAME/add_attachment"> ...

 SVN REVISION 4266

<form action="/wiki/add_attachment"> ...

 I have fully migrated my DB and the other tracker (SVN4214) works like a charm on Apache2/Passenger 3.0.0. Gem updates are

also done.

Here is the script/about output:

About your application's environment

Ruby version              1.8.7 (x86_64-linux)

RubyGems version          1.3.7

Rack version              1.0

Rails version             2.3.5

Active Record version     2.3.5

Active Resource version   2.3.5

Action Mailer version     2.3.5

Active Support version    2.3.5

Application root          /var/www/XXXXXX/tracker

Environment               production

Database adapter          postgresql

Database schema version   20100819172912

About your Redmine plugins

Redmine Blazing Textiles plugin   0.0.2

 Is there a quick way to fix this?

Associated revisions

Revision 4274 - 2010-10-22 19:38 - Jean-Philippe Lang

Fixed: file upload on wiki page broken by recent refactoring (#6724).

History

#1 - 2010-10-22 12:16 - Adrian S.

- File wiki_attachment_fix_svn4266.patch added

2025-05-17 1/2



I noticed that revision 4265 changed some routes for the wiki. So corrected some in routes.rb and it works now.

(But I'm not totally sure of what I did). Especially that the first 3 changes didn't work. It was the last one that made the difference.

Please check it out :)

Regards,

Adrian S.

#2 - 2010-10-22 19:18 - Jean-Philippe Lang

- Assignee set to Eric Davis

#3 - 2010-10-22 19:33 - Jean-Philippe Lang

- Status changed from New to Resolved

- Resolution set to Fixed

Should be fixed by r4274.

Eric, can you confirm the fix is OK?

#4 - 2010-10-26 14:05 - Adrian S.

I've updated to the latest SVN version. Wiki uploads work now.

But I've found new problems dealing with wiki in general:

In the activity view, links do not work

In the history page, the differences does not work either

Should I submit a new issue with these points?

Regards,

Adrian S.

#5 - 2010-10-26 15:31 - Felix Schäfer

Adrian S. wrote:

Should I submit a new issue with these points?

 Please do.

#6 - 2010-11-27 00:40 - Eric Davis

- Assignee deleted (Eric Davis)

I am stepping down from working on Redmine.  If someone else is interesting in working on this issue, feel free to reassign it to them.

Eric Davis

#7 - 2010-12-30 04:05 - Mischa The Evil

- Category set to Wiki

- Status changed from Resolved to Closed

- Target version set to 1.1.0

Initial issue seems indeed generally confirmed to be fixed by r4274. Closing this issue accordingly against Redmine 1.1.0.

Adrian Cermeño S.: the issues you mentioned in #note-4 seems to be all fixed also by now. Please do open new issue(s) if necessary.

Files

wiki_attachment_fix_svn4266.patch 1.98 KB 2010-10-22 Adrian S.
